# logger::appender(3tcl) 1.2 log "Object Oriented logging facility"

## Name

logger::appender - Collection of predefined appenders for logger

## Table Of Contents

## Synopsis

- package require Tcl 8.2
- package require logger::appender ?1.2?

- ::logger::appender::console -level level -service service ?options...?
- ::logger::appender::colorConsole -level level -service service ?options...?

## Description

This package provides a predefined set of logger templates.

::logger::appender::console -level level -service service ?options...?
  -level level

    Name of the level to fill in as "priority" in the log procedure.

  -service service

    Name of the service to fill in as "category" in the log procedure.

  -appenderArgs appenderArgs

    Any additional arguments for the log procedure in list form

  -conversionPattern conversionPattern

    The log pattern to use (see logger::utils::createLogProc for the allowed substitutions).

  -procName procName

    Explicitly set the name of the created procedure.

  -procNameVar procNameVar

    Name of the variable to set in the calling context. This variable will contain the name of the procedure.

::logger::appender::colorConsole -level level -service service ?options...?

  See ::logger::appender::colorConsole for a description of the applicable options.

## Bugs, Ideas, Feedback

This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category logger of the Tcllib Trackers. Please also report any ideas for enhancements you may have for either package and/or documentation.

## Keywords

appender, logger

## Category

Programming tools

## Copyright

Copyright © 2005 Aamer Akhter <aakhter@cisco.com>